:: Backup Exchange 2003 Mailbox and Public Message Store
:: Update: 3/21/2011
:: 12/11/2014 - added quotes around mailboxedbpath and publicedbpath at bottom
::
:: Constants
::
SET Gsplit=GsplitWithVSS
SET myOS=2003
::
:: Please update Paths below - carefully modify text only. Do not add or remove quotes.
::
SET MyPath=C:\Exchange_Backup
SET MailboxEDBPath=C:\Program Files\Exchsrvr\MDBDATA\priv1.edb
SET PublicEDBPath=C:\Program Files\Exchsrvr\MDBDATA\pub1.edb
::
:: By convention, GsplitMailbox and GsplitPublic will be the holding folders for the actual 'chunked' data.
SET GsplitMailboxFolder=%MyPath%\GsplitMailbox
SET GsplitPublicFolder=%MyPath%\GsplitPublic
::
:: We do the actual VSS snapshot and chunking using gsplit here
CALL "%MyPath%\%Gsplit%\GsplitWithVSSCustom.bat" "%MailboxEDBPath%" "%GsplitMailboxFolder%" %myOS%
CALL "%MyPath%\%Gsplit%\GsplitWithVSSCustom.bat" "%PublicEDBPath%" "%GsplitPublicFolder%" %myOS%
::
:: Done.